Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.directwebremoting.webwork
Class ActionDefinition

    java.lang.Object
      org.directwebremoting.webwork.ActionDefinition

    public class ActionDefinition

extends java.lang.Object

A simple WebWork action invocation definition (it is mapped to a `com.opensymphony.webwork.dispatcher.mapper.ActionMapping`).

Author:
  Alexandru Popescu

Constructor Summary
`ActionDefinition()`

Method Summary
`java.lang.String` | `getAction()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getNamespace()`
`boolean` | `isExecuteResult()`
`void` | `setAction(java.lang.String action)`
`void` | `setExecuteResult(boolean executeResult)`
`void` | `setMethod(java.lang.String method)`
`void` | `setNamespace(java.lang.String namespace)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ActionDefinition

    public ActionDefinition()

Method Detail

### getAction

    public java.lang.String getAction()

  Returns:
    Returns the action.

### setAction

    public void setAction(java.lang.String action)

  Parameters:
    `action` - The action to set.

### isExecuteResult

    public boolean isExecuteResult()

  Returns:
    Returns the executeResult.

### setExecuteResult

    public void setExecuteResult(boolean executeResult)

  Parameters:
    `executeResult` - The executeResult to set.

### getMethod

    public java.lang.String getMethod()

  Returns:
    Returns the method.

### setMethod

    public void setMethod(java.lang.String method)

  Parameters:
    `method` - The method to set.

### getNamespace

    public java.lang.String getNamespace()

  Returns:
    Returns the namespace.

### setNamespace

    public void setNamespace(java.lang.String namespace)

  Parameters:
    `namespace` - The namespace to set.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¬ 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD